Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.page
Class MenuPresentationContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.PresentationContext
              com.bea.netuix.servlets.controls.page.MenuPresentationContext

All Implemented Interfaces
  Serializable

    public class MenuPresentationContext

extends PresentationContext

This class represents a portal menu component. All presentation-related attributes of a menu component are available from instances of this class. Such instances are typically used during portal rendering via look and feel skeleton files (e.g. singlelevelmenu.jsp, multilevelmenu.jsp).

This class exposes the render-related attributes of a generic menu, but the actual structural data it uses to generate the menu itself comes from it's parent `BookPresentationContext`.

The presence of an instance of this class indicates that a tabbed menu (of 'n' levels) should be rendered for the parent book.

See Also
  `getMenuPresentationContext(javax.servlet.http.HttpServletRequest)`, `getBookPresentationContext()`, Serialized Form

Field Summary
`static String` | `CENTER` Align the tabs in the center.
`protected static String` | `CLASS_NAME`
`static String` | `LEFT` Align the tabs on the left.
`static String` | `RIGHT` Align the tabs on the right.

Method Summary
`String` | `getAlign()` Returns the preferred alignment of the rendered menu tabs.
`BookPresentationContext` | `getBookPresentationContext()` Get the presentation context for the parent book.
`static MenuPresentationContext` | `getMenuPresentationContext(javax.servlet.http.HttpServletRequest request)` This is a convenience method for returning a reference to the current `MenuPresentationContext`.

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getAttributeRenderer, getChildren, getChildren, getFirstChild, getOrderedChildren, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getRenderFormat, getResolvedLocale, getTagName, isVisible, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_NAME

    protected static final String CLASS_NAME

### LEFT

    public static final String LEFT

  Align the tabs on the left.

  See Also
    Constants Summary

### CENTER

    public static final String CENTER

  Align the tabs in the center.

  See Also
    Constants Summary

### RIGHT

    public static final String RIGHT

  Align the tabs on the right.

  See Also
    Constants Summary

Method Detail

### getAlign

    public String getAlign()

  Returns the preferred alignment of the rendered menu tabs.

  Returns
    One of:
    - `MenuPresentationContext.LEFT`
    - `MenuPresentationContext.CENTER`
    - `MenuPresentationContext.RIGHT`

### getMenuPresentationContext

    public static MenuPresentationContext getMenuPresentationContext(javax.servlet.http.HttpServletRequest request)

  This is a convenience method for returning a reference to the current `MenuPresentationContext`. Note this method will only work if called from within a portal (typically, from the singlelevelmenu.jsp or the multilevelmenu.jsp skeleton). This method may return null if called when no appropriate context exists, but such a context should safely exist when being fetched from the associated skeleton JSP during normal portal rendering.

  Parameters
    `request` - The current HTTPServletRequest instance
  Returns
    A reference to the current MenuPresentationContext, if any

### getBookPresentationContext

    public BookPresentationContext getBookPresentationContext()

  Get the presentation context for the parent book.

  Will return null if the menu is not nested within a book.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved